Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001561OCamlOCaml generalpublic2003-02-25 23:382011-05-29 12:20
Reporteradministrator 
Assigned Toxclerc 
PrioritynormalSeverityfeatureReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version3.11.0 
Summary0001561: WISH: uncaught exception trace capture...
DescriptionFull_Name: chris quinn
Version: 3.06
OS:
Submission from: 212.42.169.63 (212.42.169.63)


hello.

it would be very nice if in building a debug application version
an access to the trace (as per ocamlrun -b) for logging purposes and perhaps
allowing continued execution/reset.

stderr and a shell wrapper is awkward and complicates matters, and should
be reserved for really catastrophic events like segfaults.
keeping such error handling within the app is neat and portable.

how about a

val trace: exn -> string

or if above not appropriate,

val capture_trace: (string -> unit) -> ('a -> 'b) -> 'a -> 'b

addition to Printexc?

cheers.
- chris

TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0005060)
xclerc (developer)
2009-08-20 14:00

support for backtrace added to Printexc module.

- Issue History
Date Modified Username Field Change
2005-11-18 10:13 administrator New Issue
2009-08-20 14:00 xclerc Note Added: 0005060
2009-08-20 14:00 xclerc Status acknowledged => resolved
2009-08-20 14:00 xclerc Fixed in Version => 3.11.0
2009-08-20 14:00 xclerc Resolution open => fixed
2009-08-20 14:00 xclerc Assigned To => xclerc
2011-05-29 12:20 xleroy Status resolved => closed


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker